Visual Regression
Visual regression reference screenshots
Returns a list of visual regression reference screenshots.
Token-based authentication with required prefix "Token"
A page number within the paginated result set.
Number of results to return per page.
Filter reference screenshots by step ID.
123http://api.example.org/accounts/?page=4http://api.example.org/accounts/?page=2Authentication credentials were missing or invalid.
GET /api/v2/visual-regression/reference-screenshots/?step_id=text HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
{
"count": 123,
"next": "http://api.example.org/accounts/?page=4",
"previous": "http://api.example.org/accounts/?page=2",
"results": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"stepId": "123e4567-e89b-12d3-a456-426614174000",
"projectArtifactId": null,
"screenshotUrl": null,
"browserName": null,
"osName": null,
"screenSizeType": null,
"runProfileId": null,
"runProfileName": "text",
"runMode": "server",
"created": "2026-01-01T00:00:00.000Z",
"modified": "2026-01-01T00:00:00.000Z"
}
]
}Creates a new visual regression reference screenshot.
Token-based authentication with required prefix "Token"
desktop- Desktopmobile- Mobilecustom- Custom
server- cloudlocal- localrecording- recording
server- cloudlocal- localrecording- recording
Request body failed validation.
Authentication credentials were missing or invalid.
POST /api/v2/visual-regression/reference-screenshots/ HTTP/1.1
Authorization: YOUR_API_KEY
Content-Type: application/x-www-form-urlencoded
Accept: */*
Content-Length: 183
"stepId='123e4567-e89b-12d3-a456-426614174000'&screenshot='https://example.com'&browserName=null&osName=null&screenSizeType='desktop'&runProfileId=null&runMode='server'"{
"id": "123e4567-e89b-12d3-a456-426614174000",
"stepId": "123e4567-e89b-12d3-a456-426614174000",
"projectArtifactId": null,
"screenshotUrl": null,
"browserName": null,
"osName": null,
"screenSizeType": null,
"runProfileId": null,
"runProfileName": "text",
"runMode": "server",
"created": "2026-01-01T00:00:00.000Z",
"modified": "2026-01-01T00:00:00.000Z"
}Returns a single visual regression reference screenshot.
Token-based authentication with required prefix "Token"
A UUID string identifying this visual regression ref screenshot.
server- cloudlocal- localrecording- recording
Authentication credentials were missing or invalid.
Resource not found.
GET /api/v2/visual-regression/reference-screenshots/{id}/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"stepId": "123e4567-e89b-12d3-a456-426614174000",
"projectArtifactId": null,
"screenshotUrl": null,
"browserName": null,
"osName": null,
"screenSizeType": null,
"runProfileId": null,
"runProfileName": "text",
"runMode": "server",
"created": "2026-01-01T00:00:00.000Z",
"modified": "2026-01-01T00:00:00.000Z"
}Updates a visual regression reference screenshot.
Token-based authentication with required prefix "Token"
A UUID string identifying this visual regression ref screenshot.
server- cloudlocal- localrecording- recording
Request body failed validation.
Authentication credentials were missing or invalid.
Resource not found.
PUT /api/v2/visual-regression/reference-screenshots/{id}/ HTTP/1.1
Authorization: YOUR_API_KEY
Content-Type: application/x-www-form-urlencoded
Accept: */*
Content-Length: 36
"screenshot='https://example.com'"{
"id": "123e4567-e89b-12d3-a456-426614174000",
"stepId": "123e4567-e89b-12d3-a456-426614174000",
"projectArtifactId": null,
"screenshotUrl": null,
"browserName": null,
"osName": null,
"screenSizeType": null,
"runProfileId": null,
"runProfileName": "text",
"runMode": "server",
"created": "2026-01-01T00:00:00.000Z",
"modified": "2026-01-01T00:00:00.000Z"
}Deletes a visual regression reference screenshot.
Token-based authentication with required prefix "Token"
A UUID string identifying this visual regression ref screenshot.
No response body
No content
Authentication credentials were missing or invalid.
Resource not found.
DELETE /api/v2/visual-regression/reference-screenshots/{id}/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
No content
Updates a visual regression reference screenshot.
Token-based authentication with required prefix "Token"
A UUID string identifying this visual regression ref screenshot.
server- cloudlocal- localrecording- recording
Request body failed validation.
Authentication credentials were missing or invalid.
Resource not found.
PATCH /api/v2/visual-regression/reference-screenshots/{id}/ HTTP/1.1
Authorization: YOUR_API_KEY
Content-Type: application/x-www-form-urlencoded
Accept: */*
Content-Length: 36
"screenshot='https://example.com'"{
"id": "123e4567-e89b-12d3-a456-426614174000",
"stepId": "123e4567-e89b-12d3-a456-426614174000",
"projectArtifactId": null,
"screenshotUrl": null,
"browserName": null,
"osName": null,
"screenSizeType": null,
"runProfileId": null,
"runProfileName": "text",
"runMode": "server",
"created": "2026-01-01T00:00:00.000Z",
"modified": "2026-01-01T00:00:00.000Z"
}Resolves failed visual regression checks. Use set_new_reference to accept the observed screenshot as the new baseline, or set_new_max_difference to raise the step's allowed difference to just above the observed value. Provide exactly one of stepRunId or testRunId.
Token-based authentication with required prefix "Token"
set_new_max_difference- Max Differenceset_new_reference- Set New Reference
No response body
No content
Request body failed validation.
Authentication credentials were missing or invalid.
POST /api/v2/visual-regression/resolve/ HTTP/1.1
Authorization: YOUR_API_KEY
Content-Type: application/x-www-form-urlencoded
Accept: */*
Content-Length: 135
"type='set_new_max_difference'&testRunId='123e4567-e89b-12d3-a456-426614174000'&stepRunId='123e4567-e89b-12d3-a456-426614174000'"No content
Last updated
Was this helpful?
